# Class TouchState

java.lang.Object
com.sparshui.common.TouchState

public class TouchState extends Object
Defines the types of touches that can ocurr in sparsh-UI: Birth, Move, and Death.

Author:
  Tony Ross

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BIRTH`
`static final int`
`CLICK`
`static final int`
`DEATH`
`static final int`
`MOVE`

## Constructor Summary

Constructors
Constructor
Description
`TouchState()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BIRTH

public static final int BIRTH

See Also:
  - Constant Field Values

### DEATH

public static final int DEATH

See Also:
  - Constant Field Values

### MOVE

public static final int MOVE

See Also:
  - Constant Field Values

### CLICK

public static final int CLICK

See Also:
  - Constant Field Values

## Constructor Details

### TouchState

public TouchState()